org.apache.cassandra.db

## Class DeletionInfo.InOrderTester

- java.lang.Object
- - org.apache.cassandra.db.DeletionInfo.InOrderTester

Enclosing class:
  DeletionInfo

    public class DeletionInfo.InOrderTester
    extends java.lang.Object

This object allow testing whether a given column (name/timestamp) is deleted or not by this DeletionInfo, assuming that the columns given to this object are passed in forward or reversed comparator sorted order. This is more efficient that calling DeletionInfo.isDeleted() repeatedly in that case.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isDeleted(Cell cell)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isDeleted

    public boolean isDeleted(Cell cell)